<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>G-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html#getAllFileInfos()" class="member-name-link">getAllFileInfos()</a> - Method in class com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html" title="class in com.eoi.springwebsecurity.filemanagement.services">DBFileStorageService</a></dt>
<dd>
<div class="block">Gets all file infos.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html#getAllFiles()" class="member-name-link">getAllFiles()</a> - Method in class com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html" title="class in com.eoi.springwebsecurity.filemanagement.services">DBFileStorageService</a></dt>
<dd>
<div class="block">Gets all files.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html#getAuthorities()" class="member-name-link">getAuthorities()</a> - Method in class com.eoi.springwebsecurity.security.userdetails.<a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></dt>
<dd>
<div class="block">Returns the authorities granted to the user.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserService.html#getByResetPasswordToken(java.lang.String)" class="member-name-link">getByResetPasswordToken(String)</a> - Method in interface com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></dt>
<dd>
<div class="block">Gets by reset password token.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html#getByResetPasswordToken(java.lang.String)" class="member-name-link">getByResetPasswordToken(String)</a> - Method in class com.eoi.springwebsecurity.security.service.<a href="../com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html#getContent()" class="member-name-link">getContent()</a> - Method in class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html" title="class in com.eoi.springwebsecurity.websockets.messages">Greeting</a></dt>
<dd>
<div class="block">Gets content.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html#getDatabaseFile(java.lang.String)" class="member-name-link">getDatabaseFile(String)</a> - Method in class com.eoi.springwebsecurity.filemanagement.controllers.<a href="../com/eoi/springwebsecurity/filemanagement/controllers/FileController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">FileController</a></dt>
<dd>
<div class="block">Método que se encarga de obtener el archivo de la base de datos con el id proporcionado.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/controllers/DatabaseFileUploadController.html#getFile(java.lang.String)" class="member-name-link">getFile(String)</a> - Method in class com.eoi.springwebsecurity.filemanagement.controllers.<a href="../com/eoi/springwebsecurity/filemanagement/controllers/DatabaseFileUploadController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">DatabaseFileUploadController</a></dt>
<dd>
<div class="block">Gets file.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html#getFile(java.lang.String)" class="member-name-link">getFile(String)</a> - Method in class com.eoi.springwebsecurity.filemanagement.services.<a href="../com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html" title="class in com.eoi.springwebsecurity.filemanagement.services">DBFileStorageService</a></dt>
<dd>
<div class="block">Gets file.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/User.html#getFullName()" class="member-name-link">getFullName()</a> - Method in class com.eoi.springwebsecurity.coreapp.entities.<a href="../com/eoi/springwebsecurity/coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></dt>
<dd>
<div class="block">Gets full name.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/filemanagement/models/ResponseMessage.html#getMessage()" class="member-name-link">getMessage()</a> - Method in class com.eoi.springwebsecurity.filemanagement.models.<a href="../com/eoi/springwebsecurity/filemanagement/models/ResponseMessage.html" title="class in com.eoi.springwebsecurity.filemanagement.models">ResponseMessage</a></dt>
<dd>
<div class="block">Gets message.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/coreapp/entities/User.html#getName()" class="member-name-link">getName()</a> - Method in class com.eoi.springwebsecurity.coreapp.entities.<a href="../com/eoi/springwebsecurity/coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></dt>
<dd>
<div class="block">Gets name.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/HelloMessage.html#getName()" class="member-name-link">getName()</a> - Method in class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/HelloMessage.html" title="class in com.eoi.springwebsecurity.websockets.messages">HelloMessage</a></dt>
<dd>
<div class="block">Gets name.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html#getPassword()" class="member-name-link">getPassword()</a> - Method in class com.eoi.springwebsecurity.security.userdetails.<a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></dt>
<dd>
<div class="block">Returns the password used to authenticate the user.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/PrivateMessage.html#getText()" class="member-name-link">getText()</a> - Method in class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/PrivateMessage.html" title="class in com.eoi.springwebsecurity.websockets.messages">PrivateMessage</a></dt>
<dd>
<div class="block">Gets text.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/PrivateMessage.html#getTo()" class="member-name-link">getTo()</a> - Method in class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/PrivateMessage.html" title="class in com.eoi.springwebsecurity.websockets.messages">PrivateMessage</a></dt>
<dd>
<div class="block">Gets to.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html#getUsername()" class="member-name-link">getUsername()</a> - Method in class com.eoi.springwebsecurity.security.userdetails.<a href="../com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></dt>
<dd>
<div class="block">Returns the username used to authenticate the user.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/services/StreamingService.html#getVideo(java.lang.String)" class="member-name-link">getVideo(String)</a> - Method in interface com.eoi.springwebsecurity.streaming.services.<a href="../com/eoi/springwebsecurity/streaming/services/StreamingService.html" title="interface in com.eoi.springwebsecurity.streaming.services">StreamingService</a></dt>
<dd>
<div class="block">Gets video.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/services/StreamingServiceImpl.html#getVideo(java.lang.String)" class="member-name-link">getVideo(String)</a> - Method in class com.eoi.springwebsecurity.streaming.services.<a href="../com/eoi/springwebsecurity/streaming/services/StreamingServiceImpl.html" title="class in com.eoi.springwebsecurity.streaming.services">StreamingServiceImpl</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/eoi/springwebsecurity/streaming/controller/StreamingController.html#getVideo(java.lang.String,java.lang.String)" class="member-name-link">getVideo(String, String)</a> - Method in class com.eoi.springwebsecurity.streaming.controller.<a href="../com/eoi/springwebsecurity/streaming/controller/StreamingController.html" title="class in com.eoi.springwebsecurity.streaming.controller">StreamingController</a></dt>
<dd>
<div class="block">Gets video.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/controllers/GreetingController.html#greeting(com.eoi.springwebsecurity.websockets.messages.HelloMessage)" class="member-name-link">greeting(HelloMessage)</a> - Method in class com.eoi.springwebsecurity.websockets.controllers.<a href="../com/eoi/springwebsecurity/websockets/controllers/GreetingController.html" title="class in com.eoi.springwebsecurity.websockets.controllers">GreetingController</a></dt>
<dd>
<div class="block">Greeting greeting.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html" class="type-name-link" title="class in com.eoi.springwebsecurity.websockets.messages">Greeting</a> - Class in <a href="../com/eoi/springwebsecurity/websockets/messages/package-summary.html">com.eoi.springwebsecurity.websockets.messages</a></dt>
<dd>
<div class="block">The type Greeting.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html#%3Cinit%3E()" class="member-name-link">Greeting()</a> - Constructor for class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html" title="class in com.eoi.springwebsecurity.websockets.messages">Greeting</a></dt>
<dd>
<div class="block">Instantiates a new Greeting.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html#%3Cinit%3E(java.lang.String)" class="member-name-link">Greeting(String)</a> - Constructor for class com.eoi.springwebsecurity.websockets.messages.<a href="../com/eoi/springwebsecurity/websockets/messages/Greeting.html" title="class in com.eoi.springwebsecurity.websockets.messages">Greeting</a></dt>
<dd>
<div class="block">Instantiates a new Greeting.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/controllers/GreetingController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.websockets.controllers">GreetingController</a> - Class in <a href="../com/eoi/springwebsecurity/websockets/controllers/package-summary.html">com.eoi.springwebsecurity.websockets.controllers</a></dt>
<dd>
<div class="block">The type Greeting controller.</div>
</dd>
<dt><a href="../com/eoi/springwebsecurity/websockets/controllers/GreetingController.html#%3Cinit%3E()" class="member-name-link">GreetingController()</a> - Constructor for class com.eoi.springwebsecurity.websockets.controllers.<a href="../com/eoi/springwebsecurity/websockets/controllers/GreetingController.html" title="class in com.eoi.springwebsecurity.websockets.controllers">GreetingController</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
